Name:       perl-DateTimeX-Easy
Version:    0.087
Release:    3%{?dist}
# see lib/DateTimeX/Easy.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Parse a date/time string using the best method available
Source:     http://search.cpan.org/CPAN/authors/id/R/RK/RKRIMEN/DateTimeX-Easy-%{version}.tar.gz
Url:        http://search.cpan.org/dist/DateTimeX-Easy
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DateTime::Format::Flexible)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::ICal)
BuildRequires: perl(DateTime::Format::DateManip)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most)

# not picked up
Provides:      perl(DateTimeX::Easy::DateParse)

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n DateTimeX-Easy-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue Aug 04 2009 Ralf Corsépius <corsepiu@fedoraproject.org> 0.087-3
- Fix mass rebuild breakdown: Add --skipdeps.
- Use Test::Most.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.087-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.087-1
- auto-update to 0.087 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.085-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.085-1
- update to 0.085
- touch up for review

* Sun Dec 07 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.084-0.1
- update to 0.084

* Sat Oct 11 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.082-1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.1)
